For the complete documentation index, see llms.txt. This page is also available as Markdown.

Exchange API Keys

Get all exchange API keys for user

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's exchange API keys

application/json
ExchangeApiKey[]Optional
get/api/v2/api/exchange
GET /api/v2/api/exchange HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's exchange API keys

[]

Create a new exchange API key

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
exchangeIdnumberRequired

The id of a CEX exchange

Example: 1
namestringOptional

The name of the API key max 255 characters

Example: My API Key
publicKeystringRequiredExample: mx0vglashYu7egJuhnN0
privateKeystringRequiredExample: 745c547aSBp89bs450fb1dfacf86af8ed32
extrastringOptional

Some extra value if required, depends on the exchange

Example: Bd8r9sf97rLqZ7
Responses
201

API key created successfully

application/json
anyOptional
post/api/v2/api/exchange
POST /api/v2/api/exchange HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "exchangeId": "1",
  "name": "My API Key",
  "publicKey": "mx0vglashYu7egJuhnN0",
  "privateKey": "745c547aSBp89bs450fb1dfacf86af8ed32",
  "extra": "Bd8r9sf97rLqZ7"
}

No content

Get signal bots that use an API key

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
200

Paginated signal bot data

application/json
anyOptional
get/api/v2/api/exchange/bot/signal/{id}
GET /api/v2/api/exchange/bot/signal/{id}?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update API key status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/api/exchange/{id}/status
PUT /api/v2/api/exchange/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Delete an exchange API key

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

API key deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/api/exchange/{id}
DELETE /api/v2/api/exchange/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Test exchange API key credentials

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
exchangeIdnumberRequired

The id of a CEX exchange

Example: 1
publicKeystringRequiredExample: mx0vglashYu7egJuhnN0
privateKeystringRequiredExample: 745c547aSBp89bs450fb1dfacf86af8ed32
extrastingOptional

Some extra value if required, depends on the exchange

Example: Bd8r9sf97rLqZ7
Responses
200

API key is valid

application/json
anyOptional
post/api/v2/api/exchange/test
POST /api/v2/api/exchange/test HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "exchangeId": "1",
  "publicKey": "mx0vglashYu7egJuhnN0",
  "privateKey": "745c547aSBp89bs450fb1dfacf86af8ed32",
  "extra": "Bd8r9sf97rLqZ7"
}

No content

Last updated